#
# spec file for package gnome-todo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-todo
Version:        3.26.2
Release:        lp150.2.10
Summary:        Personal task manager for GNOME
License:        GPL-3.0+
Group:          Productivity/Text/Editors
Url:            https://git.gnome.org/browse/gnome-todo/
Source0:        http://download.gnome.org/sources/gnome-todo/3.26/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM gnome-todo-nb-translations.patch zaitor@opensuse.org -- Update Norwegian bokmål translations
Patch0:         gnome-todo-nb-translations.patch

BuildRequires:  gobject-introspection-devel >= 1.42.0
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gio-2.0) >= 2.43.4
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.4
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libedataserverui-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libical) >= 0.43
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.17
BuildRequires:  pkgconfig(rest-0.7)
Recommends:     %{name}-lang

%description
GNOME To Do is a application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package -n typelib-1_0-Gtd-1_0
Summary:        Introspection bindings for gnome-todo's library
Group:          System/Libraries

%description -n typelib-1_0-Gtd-1_0
GNOME To Do is a application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package devel
Summary:        Development files for the GNOME task manager
Group:          Development/Languages/C and C++

%description devel
GNOME To Do is a application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	-Denable-gtk-doc=true \
	%{nil}
%meson_build

%install
%meson_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%suse_update_desktop_file -r org.gnome.Todo Office ProjectManagement
%find_lang %{name} %{?no_lang_C}

%files
%license COPYING
%doc NEWS
%{_bindir}/%{name}
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/org.gnome.Todo.appdata.xml
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.todo.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.todo.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.todo.txt.gschema.xml
%dir %{_datadir}/%{name}
%{_datadir}/gnome-todo/org.gnome.Todo.Autostart.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo*
%{_libdir}/gnome-todo/

%files lang -f %{name}.lang

%files -n typelib-1_0-Gtd-1_0
%{_libdir}/girepository-1.0/Gtd-1.0.typelib

%files devel
%doc README AUTHORS
%doc %{_datadir}/gtk-doc/html/gnome-todo/
%{_datadir}/gir-1.0/Gtd-1.0.gir
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/gnome-todo.pc

%changelog
* Fri Dec 22 2017 zaitor@opensuse.org
- Add gnome-todo-nb-translations.patch: Update Norwegian bokmål
  translations.
- Enable build of api docs again, fixed upstream in 3.26.2 release.
- Clean up spec, use modern macros.
* Wed Nov  1 2017 dimstar@opensuse.org
- Update to version 3.26.2:
  + task: dereference pointer before comparing tasks.
  + provider-eds: Make tasklists synchronize offline.
  + Updated translations.
* Tue Sep 26 2017 zaitor@opensuse.org
- Temp disable building of api docs, as it is currently broken
  upstream.
* Thu Sep 21 2017 luc14n0@linuxmail.org
- Update to version 3.26.1:
  + Fix type race initialization that prevents To Do startup.
  + Fix translations.
- Changes from version 3.26.0:
  + Updated translations.
* Fri Sep  8 2017 jengelh@inai.de
- Update descriptions.
* Mon Aug 14 2017 zaitor@opensuse.org
- Update to version 3.25.90:
  + Move to Meson build system.
  + Fix Flatpak build.
  + Introduce Todoist integration.
  + Updated translations.
- Add meson BuildRequires and switch autotools macros configure,
  make and makeinstall to meson, meson_build and meson_install
  following upstream switch to Meson build system.
- Add gtk-doc BuildRequires and pass Denable-gtk-doc=true to meson.
- Drop obsolete post(un) handling, file-trigger takes care of this
  now. Following macros removed: glib2_gsettings_schema_post(un),
  desktop_database_post(un) and icon_theme_cache_post(un).
- Add pkgconfig(rest-0.7) & pkgconfig(json-glib-1.0) BuildRequires:
  New dependencies.
* Tue Jun 20 2017 dimstar@opensuse.org
- Update to version 3.25.3:
  + Improve Scheduled panel's date headers.
  + Allow pass an emit-error-message callback.
  + Allow control-click for selection mode.
  + Many improvements to Todo.txt plugin.
  + Add Meson build system files.
  + Plug memory leaks.
  + Add skeleton for Todoist plugin.
  + Updated translations.
* Fri Jun  9 2017 zaitor@opensuse.org
- Update to version 3.25.1:
  + No changes.
* Fri Jun  9 2017 zaitor@opensuse.org
- Update to version 3.24.2:
  + Enable Todo.txt plugin by default.
  + Vast improvements to Todo.txt plugin.
  + Set default application icon.
  + Many fixes to the Scheduled panel.
  + Updated translations.
* Wed May 24 2017 dimstar@opensuse.org
- Update to version 3.24.1:
  + Allow using right-click to select task lists.
  + Fix scheduled panel calculation of date span.
  + Fix crash when creating new task.
- Changes from version 3.24.0.1:
  + Fix appdata tags.
- Changes from version 3.24.0:
  + Add a new plugin to run To Do in background.
  + A new experimental Todo.txt plugin was created, but disabled by
    default.
  + Properly update panels when day changes.
  + Fix crash on various classes.
  + Add 'todo' keyword to the desktop file.
  + Fix tasklist thumbnails on HiDPI monitors.
  + Drop Intltool usage.
  + Add accelerators to Edit pane.
  + Improve CSS loading.
  + Fix drag n' drop.
  + Fix many memory leaks.
  + Add tasklist selector in New Task row on tasklist-less panels.
  + Updated translations.
- Drop intltool BuildRequires: no longer needed.
- Set desktop file category to "Office;ProjectManagement;" using
  suse_update_desktop_file.
* Tue Dec 20 2016 zaitor@opensuse.org
- Update to version 3.22.1:
  + Improved behavior when dealing with dates.
  + Improve the focus management so we don't loose the new task
    row.
  + Improve the Unscheduled panel.
  + Duplicated task issue is now fixed.
  + Add a Flatpak manifest file.
  + GNOME To Do consumes less memory and is more stable.
  + Updated translations.
* Mon Nov  7 2016 dimstar@opensuse.org
- Update to version 3.22.0:
  + GNOME To Do now supports subtasks.
  + Plug various memory leaks.
  + Improved task editor panel.
  + Avoid crash on labels.
  + Various cleanups.
  + Add developer documentation.
  + Make the stardard panels as plugins.
  + Add plugin to switch between dark/light theme variants.
  + General improvements on dark variant.
  + Updated translations.
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Small code cleanups.
  + Fix Scheduled and Today panels' misbehavior.
  + Updated translations.
* Tue Apr 26 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Fixed unstranslated string.
  + Fix translations not being applied.
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Thu Mar  3 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Consistently use To Do naming.
  + Also consider creation date when sorting tasks.
  + Make EDS an embedded plugin.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Improved documentation for the plugin API.
  + Ignore casefolding when sorting tasks & lists.
  + Fix Scheduled headers and translations.
  + Improved Scheduled panel.
  + Updated translations.
* Mon Feb  1 2016 dimstar@opensuse.org
- Update to version 3.19.5:
  + Vastly improve the plugin system.
  + Add kudos information in AppData.
  + Adapt icon names to use the application id.
  + Many code cleanups and fixes.
- Changes from version 3.19.4:
  + Add a plugin subsystem.
  + Add list-based tasklist selector.
  + Port to use CSS names.
  + Updated translations.
- Add gobject-introspection-devel and pkgconfig(libpeas-1.0)
  BuildRequires: new dependencies.
- Create new subpackages typelib-1_0-Gtd-1_0 and gnome-todo-devel.
* Wed Oct 14 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Fix 256x256 icons being installed as 512x512.
  + Add a symbolic variant.
  + Install a DBus service file.
  + Wrap notes text.
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Add selection mode, which allows renaming and removing lists.
  + Add a "Clear completed tasks..." item in gear menu.
  + Update build system.
  + Lots of bugfixes and cleanups.
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Initial build, version 3.17.4.
